org.deidentifier.arx

## Class ARXLattice.ARXNode

- java.lang.Object
- - org.deidentifier.arx.ARXLattice.ARXNode

Enclosing class:
  ARXLattice

    public class ARXLattice.ARXNode
    extends java.lang.Object

A node in the lattice.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

Nested Classes
`class` `ARXLattice.ARXNode.Access` Internal access class.

### Constructor Summary

Constructors
Constructor and Description
`ARXNode(ARXLattice lattice)` Internal constructor for deserialization.

### Method Summary

All Methods Instance Methods Concrete Methods
`ARXLattice.ARXNode.Access` `access()` Alter associated fields.
`void` `expand()` Materializes any non-materialized predecessors and successors
`ARXLattice.Anonymity` `getAnonymity()` Returns the anonymity property.
`java.util.Map<java.lang.Integer,java.lang.Object>` `getAttributes()` Returns the attributes.
`int` `getDimension(java.lang.String attr)` Returns the index of an attribute.
`int` `getGeneralization(java.lang.String attribute)` Returns the generalization for the attribute.
`InformationLoss<?>` `getHighestScore()` Returns the highest score.
`InformationLoss<?>` `getLowestScore()` Returns the highest score.
`ARXLattice.ARXNode[]` `getPredecessors()` The predecessors.
`java.lang.String[]` `getQuasiIdentifyingAttributes()` Returns the quasi identifiers.
`ARXLattice.ARXNode[]` `getSuccessors()` The successors.
`int` `getTotalGeneralizationLevel()` Returns the sum of all generalization levels.
`int[]` `getTransformation()` Returns the transformation as an array.
`boolean` `isChecked()` Returns if the node has been checked explicitly.
`ElementData` `render()` Renders this object

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ARXNode

    public ARXNode(ARXLattice lattice)

Internal constructor for deserialization.

Parameters:
  `lattice` -

### Method Detail

#### access

    public ARXLattice.ARXNode.Access access()

Alter associated fields.

Returns:

#### expand

    public void expand()

Materializes any non-materialized predecessors and successors

#### getAnonymity

    public ARXLattice.Anonymity getAnonymity()

Returns the anonymity property.

Returns:

#### getAttributes

    public java.util.Map<java.lang.Integer,java.lang.Object> getAttributes()

Returns the attributes.

Returns:

#### getDimension

    public int getDimension(java.lang.String attr)

Returns the index of an attribute.

Parameters:
  `attr` -
Returns:

#### getGeneralization

    public int getGeneralization(java.lang.String attribute)

Returns the generalization for the attribute.

Parameters:
  `attribute` -
Returns:

#### getHighestScore

    public InformationLoss<?> getHighestScore()

Returns the highest score. Lower is better.

Returns:

#### getLowestScore

    public InformationLoss<?> getLowestScore()

Returns the highest score. Lower is better.

Returns:

#### getPredecessors

    public ARXLattice.ARXNode[] getPredecessors()

The predecessors.

Returns:

#### getQuasiIdentifyingAttributes

    public java.lang.String[] getQuasiIdentifyingAttributes()

Returns the quasi identifiers.

Returns:

#### getSuccessors

    public ARXLattice.ARXNode[] getSuccessors()

The successors.

Returns:

#### getTotalGeneralizationLevel

    public int getTotalGeneralizationLevel()

Returns the sum of all generalization levels.

Returns:

#### getTransformation

    public int[] getTransformation()

Returns the transformation as an array.

Returns:

#### isChecked

    public boolean isChecked()

Returns if the node has been checked explicitly.

Returns:

#### render

    public ElementData render()

Renders this object

Returns: